Subject: RE: [bmwg] RFC 3222 on FIB based Router Performance

From: "TROTTER,GUY (A-Canada,ex1)" <[email-masked]>
Date: Tue, 8 Jan 2002 16:35:14 -0700

Hi Martin,
 
Sorry for the delay in responding to your query - Christmas holidays, you
know.
 
Thanks for pointing out the minor inconsistency between the text and the
example in section 5.7.  The intention is that the prefix distribution be
listed in absolute numbers, rather than percentages.
 
The reason, FYI, to express the prefix distribution as absolute numbers
rather than percentages is to ensure that there is no confusion when, for
example, indicating that 53% of a FIB with 637 entries should have a prefix
length of /24. Doing the math, it means that 336.61 /24 entries need to be
advertised into the router under test.  Rather difficult to advertise .61 of
a route!
 
Thus, it just makes everything simpler if absolute numbers for the number of
routes to be advertised is used.
 
Guy
 
-----------------------------------------------------------------------
Guy Trotter
Agilent Technologies         phone: +1 604 454 3516
Advanced Networks Division   fax:   +1 604 454 3401
#2500 4710 Kingsway          mailto:[email-masked]
<mailto:[email-masked]> 
Burnaby, British Columbia    page:  mailto:[email-masked]
<mailto:[email-masked]> 
V5H 4M2                      http://www.agilent.com
<http://www.agilent.com/> 
CANADA 

-----Original Message-----
From: Martin Biddiscombe [mailto:[email-masked]]
Sent: December 17, 2001 7:49 AM
To: [email-masked]'
Cc: [email-masked]'
Subject: RE: [bmwg] RFC 3222 on FIB based Router Performance

>A new Request for Comments is now available in online RFC libraries. 
> RFC 3222 
> Title: Terminology for Forwarding Information Base (FIB) 
>        based Router Performance 

Quick query regarding section 5.7... 

:5.7 Forwarding Information Base Prefix Distribution 
:<snip> 
:   Measurement units: 
:      The forwarding information base prefix distribution is expressed 
:      by a list of network prefix lengths and the percentage of entries 
:      within the forwarding information base with a particular network 
:      prefix length.  For example, a forwarding information base prefix 
:      distribution is represented as: 
: 
:         {[/16, 100], [/20, 360], [/24, 540]} 
: 
:      This indicates that 100 of the entries within the forwarding 
:      information base have a 16 bit network prefix length, 360 have a 
:      20 bit network prefix length, and 540 have a 24 bit network prefix 
:      length. 

Should the distribution be expressed as a percentage or as 
absolute numbers - or would either be acceptable - the text 
and example differ... 

Kind regards, 

<M> 
--

---

From: "TROTTER,GUY (A-Canada,ex1)" <[email-masked]>
Date: Tue, 8 Jan 2002 16:35:14 -0700

Hi Martin,

 

Guy

-----Original Message-----
From: Martin Biddiscombe [mailto:[email-masked]]
Sent: December 17, 2001 7:49 AM
To: [email-masked]'
Cc: [email-masked]'
Subject: RE: [bmwg] RFC 3222 on FIB based Router Performance

Kind regards, 

<M> 
--